Holger's Java API

## com.antelmann.db
Enum JUserLoginPanel.ImageLocation

    java.lang.Object
      java.lang.Enum<JUserLoginPanel.ImageLocation>
          com.antelmann.db.JUserLoginPanel.ImageLocation

All Implemented Interfaces:
  Serializable, Comparable<JUserLoginPanel.ImageLocation>

Enclosing class:
  JUserLoginPanel

    public static enum JUserLoginPanel.ImageLocation

extends Enum<JUserLoginPanel.ImageLocation>

Enum Constant Summary
`EAST`
`NORTH`
`SOUTH`
`WEST`

Method Summary
`static JUserLoginPanel.ImageLocation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JUserLoginPanel.ImageLocation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WEST

    public static final JUserLoginPanel.ImageLocation WEST

### EAST

    public static final JUserLoginPanel.ImageLocation EAST

### NORTH

    public static final JUserLoginPanel.ImageLocation NORTH

### SOUTH

    public static final JUserLoginPanel.ImageLocation SOUTH

Method Detail

### values

    public static JUserLoginPanel.ImageLocation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JUserLoginPanel.ImageLocation c : JUserLoginPanel.ImageLocation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JUserLoginPanel.ImageLocation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads